Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jexl.parser
Class ParserTokenManager

    java.lang.Object
      |
      +--org.apache.commons.jexl.parser.ParserTokenManager

All Implemented Interfaces:
  ParserConstants

public class ParserTokenManager
extends Object
implements ParserConstants

Field Summary
`protected char` | `curChar`
`PrintStream` | `debugStream`
`static String[]` | `jjstrLiteralImages`
`static String[]` | `lexStateNames`

Fields inherited from interface org.apache.commons.jexl.parser.ParserConstants
`COMMENT, DEFAULT, DIGIT, EOF, FLOAT_LITERAL, IDENTIFIER, INTEGER_LITERAL, LETTER, STRING_LITERAL, tokenImage`

Constructor Summary
`ParserTokenManager(SimpleCharStream stream)`
`ParserTokenManager(SimpleCharStream stream, int lexState)`

Method Summary
`Token` | `getNextToken()`
`void` | `ReInit(SimpleCharStream stream)`
`void` | `ReInit(SimpleCharStream stream, int lexState)`
`void` | `setDebugStream(PrintStream ds)`
`void` | `SwitchTo(int lexState)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debugStream

    public PrintStream debugStream

### jjstrLiteralImages

    public static final String[] jjstrLiteralImages

### lexStateNames

    public static final String[] lexStateNames

### curChar

    protected char curChar

Constructor Detail

### ParserTokenManager

    public ParserTokenManager(SimpleCharStream stream)

### ParserTokenManager

    public ParserTokenManager(SimpleCharStream stream,
                              int lexState)

Method Detail

### setDebugStream

    public void setDebugStream(PrintStream ds)

### ReInit

    public void ReInit(SimpleCharStream stream)

### ReInit

    public void ReInit(SimpleCharStream stream,
                       int lexState)

### SwitchTo

    public void SwitchTo(int lexState)

### getNextToken

    public final Token getNextToken()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006 The Apache Software Foundation. All Rights Reserved.